import { ISpace } from './Types';
export interface ISpaceContext {
    level: number;
    children: ISpace[];
    updateChildren: (children: ISpace[]) => void;
}
export declare const getSpace: (context: ISpaceContext, id: string) => ISpace | undefined;
export declare const registerSpace: (context: ISpaceContext, space: ISpace) => ISpace;
export declare const removeSpace: (context: ISpaceContext, id: string) => void;
export declare const updateSpace: (context: ISpaceContext, id: string, delta: Partial<ISpace>) => void;
export declare const createSpaceContext: (children: ISpace[], updateChildren: (children: ISpace[]) => void, currentSpace?: ISpace | undefined, parent?: ISpaceContext | null | undefined) => ISpaceContext;
